JSON.NET 7

Vote:
 

Hey guys,

Do we know when Episerver will be supporting JSON.NET 7?  Is there a reason why its pre-7.  Some dependencies I want to use require 7 so just trying to work out the best approach.

Thanks

Adam

#123458
Jul 06, 2015 11:37
Vote:
 

Hi,

There is a blog post about changes planned for this year:

http://world.episerver.com/blogs/Per-Bjurstrom/Archive/2015/6/planned-breaking-changes/

Some libraries praoboably will be updated. You could ask in comment about Json.NET

#123467
Jul 06, 2015 21:07
Vote:
 

Hey,

Isn't that breaking changes?  JSON.Net 7 wouldn't be a breaking change and wouldn't be listed on the breaking changes page?

Thanks

Adam

#123468
Jul 06, 2015 21:43
Vote:
 

As you are referering to a new major version of Json.NET, I would say that it's simply that there is still tests to be completed that verifies that the EPiServer packages actually are compatible. Changing a dependency is not breaking as such, unless the referenced breaking change is exposed through the EPiServer API, in which case it would be considered breaking.

I must say that having a minimum requirement on Json.NET 7 is a very aggressive dependency, especially considering when it was released and it's wide spread use, but I guess it could be that they have started using some updated API, who knows.

In the meanwhile you can always force an update and verify that things are still functioning correctly in your solution.

#123641
Jul 13, 2015 2:44